# Print the time taken by each test case, longest first
#
# usage: python2.7 testcase_times.py <rcstime>
#

from __future__ import print_function

from bracket import *
import re
import gzip

def doit(ts):
    r = sorted(get_test_runtimes(ts), key = lambda x: -x[1])
    for e in r:
        print(e[0], e[1])

ts = rcs2ts(sys.argv[1])

doit(ts)
